Bug 54971 - Farenheit-to-Celcius conversion incorrect
Farenheit-to-Celcius conversion incorrect
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: units (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 16:56 EDT by Jay Turner
Modified: 2015-01-07 18:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-22 14:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-10-23 16:56:16 EDT
Description of Problem: units says 212 degF == 117.77778 degC
(should be 100.0)

Version-Release number of selected component (if applicable):
units-1.55-10

How Reproducible:
100%

Steps to Reproduce:
1. units "212 degF" "degC"
2. 
3. 

Actual Results:
	* 117.77778
	/ 0.008490566


Expected Results: 100 degrees Celcius	

Additional information: behaves the same on is86, found first on s390
Comment 1 Harald Hoyer 2001-12-14 10:47:30 EST
fixed by units-1.74-1
Comment 2 Ben Levenson 2002-04-22 14:53:05 EDT
I get the same results with units-1.74-1.  
changing back to ASSIGNED.
Comment 3 Harald Hoyer 2002-04-23 07:09:06 EDT
According to unit.info, this is the right command: 
$ units 'tempF(212)' 'tempC' 
        100 
 
If you take units, the formula is correct. 
$ units "degF" "degC" 
        * 0.55555556 
        / 1.8 
 
delta(Temperature in degF) = 1.8 * delta(Temperature in degC) 

Note You need to log in before you can comment on or make changes to this bug.